%bcond_with docs
%global upname Bottleneck

Summary:       Collection of fast NumPy array functions written in Cython
Name:          python-%{upname}
Version: 1.3.7
Release: 3%{?dist}
License:       BSD
URL:           https://pypi.org/project/Bottleneck/
Source0:       https://files.pythonhosted.org/packages/source/B/%{upname}/%{upname}-%{version}.tar.gz

BuildRequires: gcc

%description
%{name} is a collection of fast NumPy array functions
written in Cython.

%if %{with docs}
%package doc
Summary:       Documentation files for %{name}
BuildArch:     noarch

%description doc
This package contains the HTML-docs for %{name}.
%endif


%package -n python3-%{upname}
Summary:       Collection of fast NumPy array functions written in Cython
BuildRequires: python3-devel python3-pytest python3-numpy python3-scipy python3-setuptools
%if %{with docs}
BuildRequires: python3-numpydoc python3-sphinx
%endif
Requires:      python3-numpy python3-scipy

%description -n python3-%{upname}
python3-%{upname} is a collection of fast NumPy array functions
written in Cython.


%prep
%autosetup -n %{upname}-%{version} -p 1
rm -fr .egg* *.egg*
rm -f doc/sphinxext/numpydoc.py*
sed -i /contributors/d doc/source/conf.py


%build
%py3_build


%install
%py3_install
rm -rf %{buildroot}%{python3_sitearch}/bottleneck/LICENSE
%{_fixperms} %{buildroot}/*

%if %{with docs}
export PYTHONPATH="%{buildroot}%{python3_sitearch}"
export READTHEDOCS=1
sphinx-build -b html doc/source doc/html
rm -rf doc/html/{.buildinfo,.doctrees}
%endif


%check
pushd %{buildroot}%{python3_sitearch}
pytest-%{python3_version} bottleneck -v
popd
rm -rf %{buildroot}%{python3_sitearch}/.pytest_cache


%if %{with docs}
%files doc
%license LICENSE
%doc README* RELEASE* doc/html
%endif


%files -n python3-%{upname}
%license LICENSE
%doc README* RELEASE*
%{python3_sitearch}/bottleneck
%{python3_sitearch}/%{upname}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.7-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.7-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 cunshunxia <cunshunxia@tencent.com> - 1.3.7-1
- upgrade to 1.3.7

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 09 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.2-1
- initial build
